### Method

# Secret Collection load_items_sync

#### Declaration [src]

    gboolean
    secret_collection_load_items_sync (
      SecretCollection* self,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Ensure that the `SecretCollection` proxy has loaded all the items present in the Secret Service. This affects the result of `secret_collection_get_items()`.

For collections returned from `secret_service_get_collections()` the items will have already been loaded.

This method may block indefinitely and should not be used in user interface threads.

#### Parameters

`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Whether the load was successful or not.